# -*- encoding: utf-8 -*-
# stub: tdiff 0.3.3 ruby lib

Gem::Specification.new do |s|
  s.name = "tdiff"
  s.version = "0.3.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Postmodern"]
  s.date = "2012-05-28"
  s.description = "Calculates the differences between two tree-like structures. Similar to Rubys built-in TSort module."
  s.email = "postmodern.mod3@gmail.com"
  s.extra_rdoc_files = ["ChangeLog.md", "LICENSE.txt", "README.md"]
  s.files = [".document", ".gemtest", ".gitignore", ".rspec", ".yardopts", "ChangeLog.md", "LICENSE.txt", "README.md", "Rakefile", "gemspec.yml", "lib/tdiff.rb", "lib/tdiff/tdiff.rb", "lib/tdiff/unordered.rb", "lib/tdiff/version.rb", "spec/classes/node.rb", "spec/helpers/trees.rb", "spec/spec_helper.rb", "spec/tdiff_examples.rb", "spec/tdiff_spec.rb", "spec/unordered_spec.rb", "tdiff.gemspec"]
  s.homepage = "https://github.com/postmodern/tdiff#readme"
  s.licenses = ["MIT"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.7")
  s.rubygems_version = "2.4.5.1"
  s.summary = "Calculates the differences between two tree-like structures."

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rubygems-tasks>, ["~> 0.1"])
      s.add_development_dependency(%q<rspec>, ["~> 2.4"])
      s.add_development_dependency(%q<yard>, ["~> 0.7"])
    else
      s.add_dependency(%q<rubygems-tasks>, ["~> 0.1"])
      s.add_dependency(%q<rspec>, ["~> 2.4"])
      s.add_dependency(%q<yard>, ["~> 0.7"])
    end
  else
    s.add_dependency(%q<rubygems-tasks>, ["~> 0.1"])
    s.add_dependency(%q<rspec>, ["~> 2.4"])
    s.add_dependency(%q<yard>, ["~> 0.7"])
  end
end
